%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name extensible-exceptions
%define f_pkg_name extensible-exceptions
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: %hsc_namever-%f_pkg_name
Version: 0.1.1.0
Release: alt6.1
License: BSD3
Group: Development/Haskell
URL: http://hackage.haskell.orrg/package/extensible-exceptions
Packager: Alexey Voinov <voins@altlinux.ru>
Source: %f_pkg_name-%version.tar
Summary: Extensible exceptions

BuildRequires: ghc
BuildRequires(pre): rpm-build-haskell


%description
This package provides extensible exceptions for both new and
old versions of GHC (i.e., < 6.10).

%prep
%setup -n %h_pkg_name-%version

%build


%hs_configure2
%hs_build

%install
%hs_install
%hs_gen_filelist

cd %buildroot/%_datadir/doc/%hsc_namever-%f_pkg_name-%version
rm -rf doc LICENSE README


%files  -f %name-files.nonprof
%hs_pkgconfdir/%f_pkg_name-%version.conf
%doc dist/doc/html
%doc LICENSE


%changelog
* Tue Dec 07 2010 Denis Smirnov <mithraen@altlinux.ru> 0.1.1.0-alt6.1
- rebuild with ghc 7.0/var/lib/altlinux/sisyphus/files/SRPMS/ghc-ansi-terminal-0.5.3-alt1.src.rpm

* Mon Sep 13 2010 Denis Smirnov <mithraen@altlinux.ru> 0.1.1.0-alt6
- auto rebuild

* Mon Sep 13 2010 Denis Smirnov <mithraen@altlinux.ru> 0.1.1.0-alt5
- auto rebuild

* Thu Sep 09 2010 Denis Smirnov <mithraen@altlinux.ru> 0.1.1.0-alt2
- ghc 6.12.3

* Thu Sep 09 2010 Denis Smirnov <mithraen@altlinux.ru> 0.1.1.0-alt1.1.1
- rebuild with new haskell

* Wed Mar 17 2010 Denis Smirnov <mithraen@altlinux.ru> 0.1.1.0-alt1.1
- rebuild with new haskell

* Mon Oct 05 2009 Alexey Voinov <voins@altlinux.ru> 0.1.1.0-alt1
- Initial build for Sisyphus.
